org.hibernate.search.annotations

## Enum Norms

- java.lang.Object
- - java.lang.Enum<Norms>
  - - org.hibernate.search.annotations.Norms

- All Implemented Interfaces:
    Serializable, Comparable<Norms>

      public enum Norms
      extends Enum<Norms>

  Defines whether the norms should be stored in the index
  Author:
    Hardy Ferentschik

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO` Do not store norms
    `YES` Store norms

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Norms` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Norms[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### YES

          public static final Norms YES

      Store norms

    - #### NO

          public static final Norms NO

      Do not store norms

  - ### Method Detail

    - #### values

          public static Norms[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Norms c : Norms.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Norms valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved